Download it now!
Bug 82278 - Writer: Edit-> Object -> Save Copy menu non-functional
Summary: Writer: Edit-> Object -> Save Copy menu non-functional
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:4.4.0 target:4.3.2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-07 04:53 UTC by pinertech
Modified: 2015-04-01 16:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of menu that does not function (135.90 KB, image/png)
2014-08-07 04:53 UTC, pinertech
Details
WordPerfect test file for graphics export testing (tiger) (40.20 KB, application/vnd.wordperfect)
2014-08-07 04:58 UTC, pinertech
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pinertech 2014-08-07 04:53:53 UTC
Created attachment 104193 [details]
Screenshot of menu that does not function

Using menus to "Save Copy As" or "Edit" a graphic from document does not do anything. If you right click on graphic and select "Save Copy As" or "Edit", it properly prompts you to save the graphic as a file or opens it to edit as expected.

Recreate:
1. Open test WordPerfect document in LibreOffice 4.2.6 OS X or LibreOffice 4.3.1 nightly OS X.

2. Click on tiger graphic so it is selected

3A. Select menu Edit->Object->Save Copy As. Nothing happens.

3B. Select menu Edit->Object->Edit. Nothing happens.
Comment 1 pinertech 2014-08-07 04:58:34 UTC
Created attachment 104194 [details]
WordPerfect test file for graphics export testing (tiger)

Used to discover menu bug.
Comment 2 Maxim Monastirsky 2014-08-07 17:27:33 UTC
Confirmed with master (9fc83ae4e479f7e6784dfdce87de35c283fbadd2) under Fedora 20.
Comment 3 Julien Nabet 2014-08-09 05:22:33 UTC
I noticed that with right click equivalent actions, both worked.
Comment 4 Commit Notification 2014-08-09 19:34:47 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=154c20cb320fb62cdd54cd248c3b981acc3903c8

fdo#82278 SfxUInt16Item -> SfxInt16Item



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-09-04 10:55:30 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c56af9da2ebd1cc060fff01cb78e80eb69100cfb&h=libreoffice-4-3

fdo#82278 SfxUInt16Item -> SfxInt16Item


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.